Tool
realtime_webhook_update
Update a client webhook: url, event filter, description, active flag
Update a client webhook: url, event filter, description, active flag
Behavior
- HTTP
PATCH /realtime/webhooks/:webhookId
Arguments
Name | Type | Required | Description |
|---|---|---|---|
url | string | — | Endpoint that receives signed lifecycle POSTs (https in production) |
active | boolean | — | Inactive webhooks receive no deliveries |
events | array | — | Lifecycle event types this webhook receives |
webhookId | string | • | Webhook id to update |
description | string | — | Free-form note |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
url | string | • | |
active | boolean | • | |
events | array | • | |
secrets | array | • | Secret metadata only — never the secret itself |
createdAt | string | • | |
updatedAt | string | • | |
description | string | • |
Try it
Update a client webhook: url, event filter, description, active flag.